<?php
/*
Plugin Name: Ldap_Login
Version: 1.0.1
Description: Permet de se logger via une authentification ldap
Plugin URI: http://www.22decembre.eu
Author: 22decembre
Author URI:http://www.22decembre.eu
___________________________________

Language Name: Français [FR]
*/

$lang['All LDAP users can use their ldap password everywhere on piwigo if needed.'] = 'Les utilisateurs ldap peuvent utiler leur mot de passe ldap partout où necessaire dans cette galerie piwigo.';
$lang['New users when ldap auth is successfull'] = 'Nouveaux utilisateurs piwigo en cas de connection LDAP';
$lang['Ldap_Login Plugin'] = 'Ldap_Login Plugin';
$lang['Warning: LDAP Extension missing.'] = 'Attention: Extension LDAP manquante.';

// ldap server connection

$lang['Ldap server host connection'] = 'Connection au serveur Ldap';
$lang['If empty, standard protocol ports will be used by the software.'] = 'Les ports standarts seront utilisés si ce champs est laissé vide.';
$lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Localhost et les ports standard du protocol seront utilisés si ces champs sont laissés vides.';
$lang['Ldap server host'] = 'Hote du serveur Ldap';
$lang['Secure connexion'] = 'Connexion sécurisée (ldaps)';
$lang['Ldap port'] = 'Port a utiliser';
$lang['Base DN'] = 'Racine du serveur LDAP (e.g.: dc=example,dc=com):';

// ldap attributes

$lang['Ldap attributes'] = 'Attributs ldap';
$lang['Base DN'] = 'Arbre ldap à explorer où rechercher les utilisateurs (ex : ou=users,dc=exemple,dc=com)';
$lang['Attribute corresponding to the user name'] = 'Attribut correspondant au nom d\'utilisateur';

//ldap users
$lang['Ldap users'] = 'utilisateurs Ldap';
$lang['Users branch'] = 'Branche où les utilisateurs LDAP peuvent être trouvés (e.g.: ou=users):';
$lang['Attribute corresponding to the user name'] = 'Attribut correspondant au nom d\'utilisateur (e.g.: uid):';
$lang['Search Ldap users ?'] = 'Faire une recherche sur le nom des utilisateurs ? Vous n\'avez pas besoin de cela si votre annuaire est assez simple (e.g.: uid=user,ou=people,dc=example,dc=com). Si vous n\'utilisez pas cette option, vous épargnez une requete Ldap.';

//ldap groups
$lang['Ldap groups'] = 'groupes Ldap';
$lang['Groups branch'] = 'Branche où les groupes LDAP peuvent être trouvés (e.g.: ou=groups):';
$lang['Attribute corresponding to the group name'] = 'Attribut correspondant au nom du groupe (e.g.: cn):';
$lang['Search Ldap groups ?'] = 'Faire une recherche sur le nom des groupes ? Vous n\'avez pas besoin de cela si votre annuaire est assez simple (e.g.: cn=groupname,ou=groups,dc=example,dc=com). Si vous n\'utilisez pas cette option, vous épargnez une requete Ldap.';

// ldap connection credentials

$lang['Ldap connection credentials'] = 'Identifiants de connection LDAP';
$lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Laissez les champs vides si le ldap accepte les connexions anonymes.';
$lang['Bind DN, field in full ldap style'] = 'Identifiant de connection, avec syntaxe LDAP complète (par ex : cn=admin,dc=example,dc=com).';
$lang['Bind password'] = 'Mot de passe de connection';

// test and save

$lang['Username'] = 'Votre nom d\'utilisateur LDAP';
$lang['Your password'] = 'Votre mot de passe LDAP.';
$lang['Ldap_Login Test'] = 'Test du plugin Ldap_Login';
$lang['You must save the settings with the Save button just up there before testing here.'] = 'Vous devez sauvegarder les paramètres avec le bouton Enregistrer juste au dessus avant de faire ce test.'; 
$lang['Test Settings'] = 'Tester les paramètres';
$lang['Save'] = 'Enregistrer';

// new piwigo users

$lang['Do you want to send mail to the new users, like casual piwigo users receive ?'] = 'Voulez-vous envoyer le courriel habituel aux nouveaux utilisateurs de Piwigo crées par le plugin ?';
$lang['Do you allow new piwigo users to be created when users authenticate succesfully on the ldap ?'] = 'Voulez-vous créer des utilisateurs piwigo lorsque quelqu\'un se connecte avec des identifiants ldap valides ?';
$lang['Do you want admins to be advertised by mail in case of new users creation upon ldap login ?'] = 'Voulez-vous que les administrateurs du site soient prévenus lors de ces créations d\'utilisateurs ?';

$lang['Ldap filter :'] = 'Filtre Ldap';
$lang['Ldap_Login configuration'] = 'Options du plugin Ldap_Login';
?>